Alerts

Bootstrap 5 Alerts component

Responsive Alerts built with the latest Bootstrap 5. Alerts provide contextual feedback messages for typical user actions with a handful of responsible and flexible alert boxes.

Provide contextual feedback messages for typical user actions with the handful of available and flexible alert messages.

Note: Read the API tab to find all available options and advanced customization

Required ES init: Alert *
* UMD autoinits are enabled by default. This means that you don't need to initialize the component manually. However if you are using MDBootstrap ES format then you should pass the required components to the initMDB method.

Basic examples

Click the buttons to launch the alerts.

        
            
            <!-- Trigger buttons -->
            <button type="button" id="primary" class="btn btn-primary m-1" data-mdb-ripple-init >Primary</button>
            <button type="button" id="secondary" class="btn btn-secondary m-1" data-mdb-ripple-init >Secondary</button>
            <button type="button" id="success" class="btn btn-success m-1" data-mdb-ripple-init >Success</button>
            <button type="button" id="danger" class="btn btn-danger m-1" data-mdb-ripple-init >Danger</button>
            <button type="button" id="warning" class="btn btn-warning m-1" data-mdb-ripple-init >Warning</button>
            <button type="button" id="info" class="btn btn-info m-1" data-mdb-ripple-init >Info</button>
            <button type="button" id="light" class="btn btn-light m-1" data-mdb-ripple-init >Light</button>
            <button type="button" id="dark" class="btn btn-dark m-1" data-mdb-ripple-init >Dark</button>

            <!-- Alerts -->
            <div
              data-mdb-alert-init
              class="alert fade"
              id="alert-primary"
              role="alert"
              data-mdb-color="primary"
              data-mdb-position="top-right"
              data-mdb-stacking="true"
              data-mdb-width="535px"
              data-mdb-append-to-body="true"
              data-mdb-hidden="true"
              data-mdb-autohide="true"
              data-mdb-delay="2000"
            >
              A simple primary alert with
              <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
            </div>
            <div
              data-mdb-alert-init
              class="alert fade"
              id="alert-secondary"
              role="alert"
              data-mdb-color="secondary"
              data-mdb-position="top-right"
              data-mdb-stacking="true"
              data-mdb-width="535px"
              data-mdb-append-to-body="true"
              data-mdb-hidden="true"
              data-mdb-autohide="true"
              data-mdb-delay="2000"
            >
              A simple secondary alert with
              <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
            </div>
            <div
              data-mdb-alert-init
              class="alert fade"
              id="alert-success"
              role="alert"
              data-mdb-color="success"
              data-mdb-position="top-right"
              data-mdb-stacking="true"
              data-mdb-width="535px"
              data-mdb-width="535px"
              data-mdb-append-to-body="true"
              data-mdb-hidden="true"
              data-mdb-autohide="true"
              data-mdb-delay="2000"
            >
              A simple success alert with
              <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
            </div>
            <div
              data-mdb-alert-init
              class="alert fade"
              id="alert-danger"
              role="alert"
              data-mdb-color="danger"
              data-mdb-position="top-right"
              data-mdb-stacking="true"
              data-mdb-width="535px"
              data-mdb-width="535px"
              data-mdb-append-to-body="true"
              data-mdb-hidden="true"
              data-mdb-autohide="true"
              data-mdb-delay="2000"
            >
              A simple danger alert with
              <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
            </div>
            <div
              data-mdb-alert-init
              class="alert fade"
              id="alert-warning"
              role="alert"
              data-mdb-color="warning"
              data-mdb-position="top-right"
              data-mdb-stacking="true"
              data-mdb-width="535px"
              data-mdb-width="535px"
              data-mdb-append-to-body="true"
              data-mdb-hidden="true"
              data-mdb-autohide="true"
              data-mdb-delay="2000"
            >
              A simple warning alert with
              <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
            </div>
            <div
              data-mdb-alert-init
              class="alert fade"
              id="alert-info"
              role="alert"
              data-mdb-color="info"
              data-mdb-position="top-right"
              data-mdb-stacking="true"
              data-mdb-width="535px"
              data-mdb-width="535px"
              data-mdb-append-to-body="true"
              data-mdb-hidden="true"
              data-mdb-autohide="true"
              data-mdb-delay="2000"
            >
              A simple info alert with
              <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
            </div>
            <div
              data-mdb-alert-init
              class="alert fade"
              id="alert-light"
              role="alert"
              data-mdb-color="light"
              data-mdb-position="top-right"
              data-mdb-stacking="true"
              data-mdb-width="535px"
              data-mdb-width="535px"
              data-mdb-append-to-body="true"
              data-mdb-hidden="true"
              data-mdb-autohide="true"
              data-mdb-delay="2000"
            >
              A simple light alert with
              <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
            </div>
            <div
              data-mdb-alert-init
              class="alert fade"
              id="alert-dark"
              role="alert"
              data-mdb-color="dark"
              data-mdb-position="top-right"
              data-mdb-stacking="true"
              data-mdb-width="535px"
              data-mdb-width="535px"
              data-mdb-append-to-body="true"
              data-mdb-hidden="true"
              data-mdb-autohide="true"
              data-mdb-delay="2000"
            >
              A simple dark alert with
              <a href="#" data-mdb-alert-init class="alert-link">an example link</a>. Give it a click if you like.
            </div>
          
        
    
        
            
          // Initialization for ES Users
            import { Alert, initMDB } from 'mdb-ui-kit';

            initMDB({Alert});

            const triggers = [
              'primary',
              'secondary',
              'success',
              'danger',
              'warning',
              'info',
              'light',
              'dark',
            ];
            const basicInstances = [
              'alert-primary',
              'alert-secondary',
              'alert-success',
              'alert-danger',
              'alert-warning',
              'alert-info',
              'alert-light',
              'alert-dark',
            ];

            triggers.forEach((trigger, index) => {
              let basicInstance = Alert.getInstance(document.getElementById(basicInstances[index]));
              document.getElementById(trigger).addEventListener('click', () => {
                basicInstance.show();
              });
            });
          
        
    
        
            
          const triggers = [
            'primary',
            'secondary',
            'success',
            'danger',
            'warning',
            'info',
            'light',
            'dark',
          ];
          const basicInstances = [
            'alert-primary',
            'alert-secondary',
            'alert-success',
            'alert-danger',
            'alert-warning',
            'alert-info',
            'alert-light',
            'alert-dark',
          ];

          triggers.forEach((trigger, index) => {
            let basicInstance = mdb.Alert.getInstance(document.getElementById(basicInstances[index]));
            document.getElementById(trigger).addEventListener('click', () => {
              basicInstance.show();
            });
          });
        
        
    

Static examples

Use .alert class, followed by one of the contextual classes alert-success, .alert-info, .alert-warning, .alert-danger, .alert-primary, .alert-secondary, .alert-light or .alert-dark to create an alert.

        
            
            <div data-mdb-alert-init class="alert" role="alert" data-mdb-color="primary">
              A simple primary alert—check it out!
            </div>
            <div data-mdb-alert-init class="alert" role="alert" data-mdb-color="secondary">
              A simple secondary alert—check it out!
            </div>
            <div data-mdb-alert-init class="alert" role="alert" data-mdb-color="success">
              A simple success alert—check it out!
            </div>
            <div data-mdb-alert-init class="alert" role="alert" data-mdb-color="danger">
              A simple danger alert—check it out!
            </div>
            <div data-mdb-alert-init class="alert" role="alert" data-mdb-color="warning">
              A simple warning alert—check it out!
            </div>
            <div data-mdb-alert-init class="alert" role="alert" data-mdb-color="info">
              A simple info alert—check it out!
            </div>
            <div data-mdb-alert-init class="alert" role="alert" data-mdb-color="light">
              A simple light alert—check it out!
            </div>
            <div data-mdb-alert-init class="alert" role="alert" data-mdb-color="dark">
              A simple dark alert—check it out!
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";

            initMDB({ Alert });
          
        
    


Icons

Use Font Awesome Icons to create alerts with icons. Depending on your icons and content, you may want to add more utilities or custom styles.

        
            
            <div class="alert" role="alert" data-mdb-color="primary" data-mdb-alert-init>
              <i class="fas fa-info-circle me-3"></i>A simple primary alert—check it out!
            </div>
            <div class="alert" role="alert" data-mdb-color="secondary" data-mdb-alert-init>
              <i class="fas fa-circle me-3"></i>A simple secondary alert—check it out!
            </div>
            <div class="alert" role="alert" data-mdb-color="success" data-mdb-alert-init>
              <i class="fas fa-check-circle me-3"></i>A simple success alert—check it out!
            </div>
            <div class="alert" role="alert" data-mdb-color="danger" data-mdb-alert-init>
              <i class="fas fa-times-circle me-3"></i>A simple danger alert—check it out!
            </div>
            <div class="alert" role="alert" data-mdb-color="warning" data-mdb-alert-init>
              <i class="fas fa-exclamation-triangle me-3"></i>A simple warning alert—check it out!
            </div>
            <div class="alert" role="alert" data-mdb-color="info" data-mdb-alert-init>
              <i class="fas fa-chevron-circle-right me-3"></i>A simple info alert—check it out!
            </div>
            <div class="alert" role="alert" data-mdb-color="light" data-mdb-alert-init>
              <i class="fab fa-gratipay me-3"></i>A simple light alert—check it out!
            </div>
            <div class="alert" role="alert" data-mdb-color="dark" data-mdb-alert-init>
              <i class="fas fa-gem me-3"></i>A simple dark alert—check it out!
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";

            initMDB({ Alert });
          
        
    

Additional Content

Alerts can contain additional elements like headings, paragraphs and dividers.

        
            
            <div class="alert" role="alert" data-mdb-color="success" data-mdb-alert-init>
              <h4 class="alert-heading">Well done!</h4>
              <p>
                Aww yeah, you successfully read this important alert message. This example text is
                going to run a bit longer so that you can see how spacing within an alert works with
                this kind of content.
              </p>
              <hr />
              <p class="mb-0">
                Whenever you need to, be sure to use margin utilities to keep things nice and tidy.
              </p>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";

            initMDB({ Alert });
          
        
    

Dismissing

Using the alert JavaScript plugin, it’s possible to dismiss any alert inline. Here’s how:

  • Be sure you’ve loaded the alert plugin, or the compiled Bootstrap JavaScript.
  • Add data-mdb-alert-init attribute.
  • Add a close button and the .alert-dismissible class, which adds extra padding to the right of the alert and positions the close button.
  • On the close button, add the data-mdb-dismiss="alert" attribute, which triggers the JavaScript functionality. Be sure to use the button element with it for proper behavior across all devices.
  • To animate alerts when dismissing them, be sure to add the .fade and .show classes.

You can see this in action with a live demo:

        
            
            <div class="alert alert-dismissible fade show" role="alert" data-mdb-alert-init data-mdb-color="warning">
              <strong>Holy guacamole!</strong> You should check in on some of those fields below.
              <button type="button" class="btn-close" data-mdb-dismiss="alert" aria-label="Close"></button>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";

            initMDB({ Alert });
          
        
    

Show

You can manually show alert using show() method.

        
            
            <div class="alert fade" id="show-example" data-mdb-hidden="true" role="alert" data-mdb-alert-init data-mdb-color="primary">
              Hidden alert!
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";
            initMDB({ Alert });

            Alert.getInstance(document.getElementById('show-example')).show();
          
        
    
        
            
            mdb.Alert.getInstance(document.getElementById('show-example')).show();
          
        
    

Hide

You can manually hide alert using hide() method.

        
            
            <div class="alert fade show mt-3" id="hide-example" role="alert" data-mdb-alert-init data-mdb-color="primary">
              Hide me!
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";
            initMDB({ Alert });

            Alert.getInstance(document.getElementById('hide-example')).hide();
          
        
    
        
            
            mdb.Alert.getInstance(document.getElementById('hide-example')).hide();
          
        
    

Placement

You can set the position of every alert using the data-mdb-position attribute.

Select horizontal / vertical alignment

Current position: top-right
        
            
            <div
              class="alert fade mt-3"
              id="placement-example"
              data-mdb-position="top-right"
              data-mdb-hidden="true"
              data-mdb-width="25%"
              role="alert"
              data-mdb-alert-init
              data-mdb-color="primary"
            >
              Show me wherever you want!
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";
            initMDB({ Alert });
            
            Alert.getInstance(document.getElementById('placement-example')).show();
          
        
    
        
            
            mdb.Alert.getInstance(document.getElementById('placement-example')).show();
          
        
    

Container

You can display an alert anywhere. Just put it in your target element and fill the data-mdb-container attribute with id or class of parent.

        
            
            <div
              class="alert fade"
              id="container-example"
              role="alert"
              data-mdb-alert-init
              data-mdb-container="#parent-container-example"
              data-mdb-color="primary"
            >
              Hello from parent element!
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";
    
            initMDB({ Alert });

            Alert.getInstance(document.getElementById('container-example')).show();
          
        
    
        
            
            mdb.Alert.getInstance(document.getElementById('container-example')).show();
          
        
    

Offset

You can set offset of your alert using a data-mdb-offset tag.

        
            
            <div
              class="alert fade"
              id="offset-example"
              data-mdb-hidden="true"
              data-mdb-offset="100"
              role="alert"
              data-mdb-alert-init
              data-mdb-color="primary"
            >
              Offset: 100px
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";
            initMDB({ Alert });

            Alert.getInstance(document.getElementById('offset-example')).show();
          
        
    
        
            
            mdb.Alert.getInstance(document.getElementById('offset-example')).show();
          
        
    

Stacking

You can turn on stacking your alerts using the data-mdb-stacking attribute.

        
            
            <div class="container text-center">
              <button type="button" class="btn btn-primary" id="stacking-trigger-example" data-mdb-ripple-init >
                Show notification
              </button>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";
            initMDB({ Alert });

            let alertCount = 0;

            function* colorGenerator(i) {
              const colors = ['primary', 'warning', 'info', 'success', 'secondary', 'danger', 'light'];

              while (true) {
                yield colors[i];

                i++;

                if (i > colors.length - 1) {
                  i = 0;
                }
              }
            }

            const colorIterator = colorGenerator(0);

            document.getElementById('stacking-trigger-example').addEventListener('click', () => {
              alertCount++;
              color = colorIterator.next().value;

              const alert = document.createElement('div');
              alert.innerHTML = `
                <div class="d-flex justify-content-between">
                  <p class="mb-0"><strong>${alertCount}.</strong> Stacking alerts</p>
                  <button type="button" class="btn-close" data-mdb-dismiss="alert" aria-label="Close"></button>
                </div>
              `;
              alert.classList.add('alert', 'fade');

              document.body.appendChild(alert);

              const alertInstance = new Alert(alert, {
                color,
                stacking: true,
                hidden: true,
                width: '450px',
                position: 'bottom-right',
                autohide: true,
                delay: 5000,
              });

              alertInstance.show();
            });
          
        
    
        
            
            let alertCount = 0;

            function* colorGenerator(i) {
              const colors = ['primary', 'warning', 'info', 'success', 'secondary', 'danger', 'light'];

              while (true) {
                yield colors[i];

                i++;

                if (i > colors.length - 1) {
                  i = 0;
                }
              }
            }

            const colorIterator = colorGenerator(0);

            document.getElementById('stacking-trigger-example').addEventListener('click', () => {
              alertCount++;
              color = colorIterator.next().value;

              const alert = document.createElement('div');
              alert.innerHTML = `
                <div class="d-flex justify-content-between">
                  <p class="mb-0"><strong>${alertCount}.</strong> Stacking alerts</p>
                  <button type="button" class="btn-close" data-mdb-dismiss="alert" aria-label="Close"></button>
                </div>
              `;
              alert.classList.add('alert', 'fade');

              document.body.appendChild(alert);

              const alertInstance = new mdb.Alert(alert, {
                color,
                stacking: true,
                hidden: true,
                width: '450px',
                position: 'bottom-right',
                autohide: true,
                delay: 5000,
              });

              alertInstance.show();
            });
          
        
    

Stacking - Container

You can also stack alerts inside the container

        
            
            <div class="container text-center" id="parent-stacking-container-example">
              <button type="button" class="btn btn-primary mb-5" id="stacking-container-trigger-example" data-mdb-ripple-init >
                Show notification
              </button>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Alert, initMDB } from "mdb-ui-kit";
            initMDB({ Alert });

            let alertCount = 0;

            function* colorGenerator(i) {
              const colors = ['primary', 'warning', 'info', 'success', 'secondary', 'danger', 'light'];

              while (true) {
                yield colors[i];

                i++;

                if (i > colors.length - 1) {
                  i = 0;
                }
              }
            }

            const colorIterator = colorGenerator(0);

            document
              .getElementById('stacking-container-trigger-example')
              .addEventListener('click', () => {
                alertCount++;
                color = colorIterator.next().value;

                const alert = document.createElement('div');
                alert.innerHTML = `
                  <div class="d-flex justify-content-between">
                    <p class="mb-0"><strong>${alertCount}.</strong> Stacking alerts</p>
                    <button
                      type="button"
                      class="btn-close"
                      data-mdb-dismiss="alert"
                      aria-label="Close"
                    ></button>
                  </div>
                `;
                alert.classList.add('alert', 'fade');

                document.getElementById('parent-stacking-container-example').appendChild(alert);

                const alertInstance = new Alert(alert, {
                  color,
                  stacking: true,
                  container: '#parent-stacking-container-example',
                  hidden: true,
                  width: '250px',
                  position: 'top-right',
                  autohide: true,
                  delay: 5000,
                });

                alertInstance.show();
              });
          
        
    
        
            
          let alertCount = 0;

          function* colorGenerator(i) {
            const colors = ['primary', 'warning', 'info', 'success', 'secondary', 'danger', 'light'];

            while (true) {
              yield colors[i];

              i++;

              if (i > colors.length - 1) {
                i = 0;
              }
            }
          }

          const colorIterator = colorGenerator(0);

          document
            .getElementById('stacking-container-trigger-example')
            .addEventListener('click', () => {
              alertCount++;
              color = colorIterator.next().value;

              const alert = document.createElement('div');
              alert.innerHTML = `
                <div class="d-flex justify-content-between">
                  <p class="mb-0"><strong>${alertCount}.</strong> Stacking alerts</p>
                  <button
                    type="button"
                    class="btn-close"
                    data-mdb-dismiss="alert"
                    aria-label="Close"
                  ></button>
                </div>
              `;
              alert.classList.add('alert', 'fade');

              document.getElementById('parent-stacking-container-example').appendChild(alert);

              const alertInstance = new mdb.Alert(alert, {
                color,
                stacking: true,
                container: '#parent-stacking-container-example',
                hidden: true,
                width: '250px',
                position: 'top-right',
                autohide: true,
                delay: 5000,
              });

              alertInstance.show();
            });
        
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.

Alerts - API


Import

Importing components depends on how your application works. If you intend to use the MDBootstrap ES format, you must first import the component and then initialize it with the initMDB method. If you are going to use the UMD format, just import the mdb-ui-kit package.

        
            
          import { Alert, initMDB } from "mdb-ui-kit";
          
          initMDB({ Alert });
        
        
    
        
            
          import "mdb-ui-kit"
        
        
    

Usage

Via data attributes

Using the Alert component doesn't require any additional JavaScript code - simply add data-mdb-alert-init attribute to .alert and use other data attributes to set all options. For ES format, you must first import and call the initMDB method.

        
            
          <div class="alert alert-primary fade show" id="example" data-mdb-alert-init data-mdb-autohide="true" data-mdb-delay="2000" role="alert">
            Example
          </div>
        
        
    
Dismiss

Dismissal can be achieved with data attributes on a button within the alert as demonstrated below:

        
            
            <button type="button" class="btn-close" data-mdb-dismiss="alert" aria-label="Close"></button>
          
        
    

or on a button outside the alert using the data-mdb-target as demonstrated below:

        
            
            <button type="button" class="btn-close" data-mdb-dismiss="alert" data-mdb-target="#my-alert" aria-label="Close"></button>
          
        
    

Via JavaScript

        
            
          const element = document.querySelector('.alert');
          new Alert(alert)
        
        
    
        
            
          const element = document.querySelector('.alert');
          new mdb.Alert(alert)
        
        
    

Via jQuery

Note: By default, MDB does not include jQuery and you have to add it to the project on your own.

        
               
          $(document).ready(() => {
            $('.example-class').alert(options);
          });
        
        
    

Options

Options can be passed via data attributes or JavaScript. For data attributes, append the option name to data-mdb-, as in data-mdb-offset="".

Name Type Default Description
position String | null null Sets the position of the alert. It can include horizontal options: top or bottom, and vertical options: left, center, or right. It can also be a combination of any horizontal and vertical values, for example, top-left
delay Number 1000 Sets the length of animation delay
autohide Boolean false Alerts will hide automatically or not
hidden Boolean false Alerts will be hidden until show() method is invoked.
width String | null null Sets width of alert
container String | null null Defines id/class of the parent element
offset Number 10 Defines offset of the element
stacking Boolean false Enables stacking alerts
appendToBody Boolean false Appends element to the end of the body
color String | null null Allows to set the color of an alert - primary | secondary | secondary | danger | warning | info | light | dark

Methods

Name Description Example
show Manually shows an alert myAlert.show()
hide Manually hides an alert myAlert.hide()
close Manually hides an alert (deletes it from DOM) myAlert.close()
dispose Removes an mdb.Alert instance myAlert.dispose()
getInstance Static method which allows you to get the alert instance associated to a DOM element. Alert.getInstance(myAlert)
getOrCreateInstance Static method which returns an alert instance associated to a DOM element or create a new one in case it wasn't initialized. Alert.getOrCreateInstance(myAlert)
update Updates options of an mdb.Alert instance myAlert.update({position: 'top-right'})
        
            
          const alertEl = document.getElementById('show-example');
          const alert = new Alert(alertEl);
          alert.show();
        
        
    
        
            
        const alertEl = document.getElementById('show-example');
        const alert = new mdb.Alert(alertEl);
        alert.show();
      
        
    

Events

Name Description
close.mdb.alert Fires immediately when the close instance method is called.
closed.mdb.alert Fired when the alert has been closed and CSS transitions have completed.
show.mdb.alert This event is triggered when a new alert is about to be shown. By using e.preventDefault() you can implement custom validation.
shown.mdb.alert This event is triggered after the alert has been shown.
hide.mdb.alert This event is triggered when a new alert is about to be hidden. By using e.preventDefault() you can implement custom validation.
hidden.mdb.alert This event is triggered after the alert has been hidden.
        
            
          const alert = document.getElementById('example')
          alert.addEventListener('close.mdb.alert', () => { 
            // do something
          });
        
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, alerts now uses local CSS variables on .alert for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          // .alert
          --#{$prefix}alert-bg: transparent;
          --#{$prefix}alert-padding-x: #{$alert-padding-x};
          --#{$prefix}alert-padding-y: #{$alert-padding-y};
          --#{$prefix}alert-margin-bottom: #{$alert-margin-bottom};
          --#{$prefix}alert-color: inherit;
          --#{$prefix}alert-border-color: transparent;
          --#{$prefix}alert-border: #{$alert-border-width} solid var(--#{$prefix}alert-border-color);
          --#{$prefix}alert-border-radius: #{$alert-border-radius};
          --#{$prefix}alert-link-color: inherit;

          // .alert-fixed
          --#{$prefix}alert-fixed-z-index: #{$zindex-alert};
        
        
    

SCSS variables

        
            
        $alert-zindex: 1070;
        
        $alert-padding-y: 1.25rem;
        $alert-padding-x: 1.5rem;
        $alert-margin-bottom: 1rem;
        $alert-border-radius: $border-radius-lg;
        $alert-link-font-weight: $font-weight-bold;
        $alert-border-width: var(--#{$prefix}border-width);
        $alert-dismissible-padding-r: $alert-padding-x * 3;

        $alert-bg-scale: -80%;
        $alert-border-scale: -70%;
        $alert-color-scale: 40%;

Alerts

React Bootstrap 5 Alerts component

Responsive alerts built with Bootstrap 5, React 18 and Material Design 2.0. Examples of alerts popup such as warning, error or confirmation messages boxes.

Provide contextual feedback messages for typical user actions with the handful of available and flexible alert messages.

Note: Read the API tab to find all available options and advanced customization


Basic examples

Click the buttons to launch the alerts.

        
            
            import React, { useState } from 'react';
            import { MDBBtn, MDBAlert } from 'mdb-react-ui-kit';

            export default function App() {
              const [basicPrimary, setBasicPrimary] = useState(false);
              const [basicSecondary, setBasicSecondary] = useState(false);
              const [basicSuccess, setBasicSuccess] = useState(false);
              const [basicDanger, setBasicDanger] = useState(false);
              const [basicWarning, setBasicWarning] = useState(false);
              const [basicLight, setBasicLight] = useState(false);
              const [basicDark, setBasicDark] = useState(false);

              return (
                <>
                  <MDBBtn className='m-1' onClick={() => setBasicPrimary((prev) => !prev)}>
                    Primary
                  </MDBBtn>
                  <MDBBtn color='secondary' className='m-1' onClick={() => setBasicSecondary((prev) => !prev)}>
                    Secondary
                  </MDBBtn>
                  <MDBBtn color='success' className='m-1' onClick={() => setBasicSuccess((prev) => !prev)}>
                    Success
                  </MDBBtn>
                  <MDBBtn color='danger' className='m-1' onClick={() => setBasicDanger((prev) => !prev)}>
                    Danger
                  </MDBBtn>
                  <MDBBtn color='warning' className='m-1' onClick={() => setBasicWarning((prev) => !prev)}>
                    Warning
                  </MDBBtn>
                  <MDBBtn color='light' className='m-1' onClick={() => setBasicLight((prev) => !prev)}>
                    Light
                  </MDBBtn>
                  <MDBBtn color='dark' className='m-1' onClick={() => setBasicDark((prev) => !prev)}>
                    Dark
                  </MDBBtn>

                  <MDBAlert
                    color='primary'
                    autohide
                    position='top-right'
                    delay={2000}
                    appendToBody
                    open={basicPrimary}
                    onClose={() => setBasicPrimary(false)}
                  >
                    A simple primary alert with{' '}
                    <a href='#' className='alert-link'>
                      an example link
                    </a>
                    . Give it a click if you like.
                  </MDBAlert>

                  <MDBAlert
                    color='secondary'
                    autohide
                    position='top-right'
                    delay={2000}
                    appendToBody
                    open={basicSecondary}
                    onClose={() => setBasicSecondary(false)}
                  >
                    A simple secondary alert with{' '}
                    <a href='#' className='alert-link'>
                      an example link
                    </a>
                    . Give it a click if you like.
                  </MDBAlert>

                  <MDBAlert
                    color='success'
                    autohide
                    position='top-right'
                    delay={2000}
                    appendToBody
                    open={basicSuccess}
                    onClose={() => setBasicSuccess(false)}
                  >
                    A simple success alert with{' '}
                    <a href='#' className='alert-link'>
                      an example link
                    </a>
                    . Give it a click if you like.
                  </MDBAlert>

                  <MDBAlert
                    color='danger'
                    autohide
                    position='top-right'
                    delay={2000}
                    appendToBody
                    open={basicDanger}
                    onClose={() => setBasicDanger(false)}
                  >
                    A simple danger alert with{' '}
                    <a href='#' className='alert-link'>
                      an example link
                    </a>
                    . Give it a click if you like.
                  </MDBAlert>

                  <MDBAlert
                    color='warning'
                    autohide
                    position='top-right'
                    delay={2000}
                    appendToBody
                    open={basicWarning}
                    onClose={() => setBasicWarning(false)}
                  >
                    A simple warning alert with{' '}
                    <a href='#' className='alert-link'>
                      an example link
                    </a>
                    . Give it a click if you like.
                  </MDBAlert>

                  <MDBAlert
                    color='light'
                    autohide
                    position='top-right'
                    delay={2000}
                    appendToBody
                    open={basicLight}
                    onClose={() => setBasicLight(false)}
                  >
                    A simple light alert with{' '}
                    <a href='#' className='alert-link'>
                      an example link
                    </a>
                    . Give it a click if you like.
                  </MDBAlert>

                  <MDBAlert
                    color='dark'
                    autohide
                    position='top-right'
                    delay={2000}
                    appendToBody
                    open={basicDark}
                    onClose={() => setBasicDark(false)}
                  >
                    A simple dark alert with{' '}
                    <a href='#' className='alert-link'>
                      an example link
                    </a>
                    . Give it a click if you like.
                  </MDBAlert>
                </>
              );
            }
          
        
    

Static examples

        
            
            import React from 'react';
            import { MDBContainer, MDBAlert } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <MDBContainer>
                  <MDBAlert open className='w-100' color='primary'>
                    A simple primary alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='secondary'>
                    A simple secondary alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='success'>
                    A simple success alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='danger'>
                    A simple danger alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='warning'>
                    A simple warning alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='light'>
                    A simple info alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='dark'>
                    A simple dark alert—check it out!
                  </MDBAlert>
                </MDBContainer>
              );
            }
          
        
    


Icons

Use Font Awesome Icons to create alerts with icons. Depending on your icons and content, you may want to add more utilities or custom styles.

        
            
            import React from 'react';
            import { MDBContainer, MDBAlert } from 'mdb-react-ui-kit';

            export default function App() {
              return (
                <MDBContainer>
                  <MDBAlert open className='w-100' color='primary'>
                    <i class="fas fa-info-circle me-3"></i>A simple primary alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='secondary'>
                    <i class="fas fa-circle me-3"></i>A simple secondary alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='success'>
                    <i class="fas fa-check-circle me-3"></i>A simple success alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='danger'>
                    <i class="fas fa-times-circle me-3"></i>A simple danger alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='warning'>
                    <i class="fas fa-exclamation-triangle me-3"></i>A simple warning alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='info'>
                    <i class="fas fa-chevron-circle-right me-3"></i>A simple info alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='light'>
                    <i class="fab fa-gratipay me-3"></i>A simple light alert—check it out!
                  </MDBAlert>
                  <MDBAlert open className='w-100' color='dark'>
                    <i class="fas fa-gem me-3"></i>A simple dark alert—check it out!
                  </MDBAlert>
                </MDBContainer>
              );
            }
          
        
    

Additional Content

        
            
            import React from 'react';
            import { MDBAlert } from 'mdb-react-ui-kit';
              
            export default function App() {
              return (
                <MDBAlert open className='w-100' color='success'>
                  <h4 className='alert-heading'>Well done!</h4>
                  <p>
                    Aww yeah, you successfully read this important alert message. This example text is going to run a bit
                    longer so that you can see how spacing within an alert works with this kind of content.
                  </p>
                  <hr />
                  <p className='mb-0'>
                    Whenever you need to, be sure to use margin utilities to keep things nice and tidy.
                  </p>
                </MDBAlert>
              );
            }
          
        
    

Show with trigger

You can manually show alert by changing value of the open prop.

        
            
            import React, { useState } from 'react';
            import { MDBAlert, MDBContainer, MDBBtn } from 'mdb-react-ui-kit';

            export default function App() {
              const [isOpen, setIsOpen] = useState(false);

              return (
                <MDBContainer className='text-center'>
                  <MDBBtn onClick={() => setIsOpen(true)}>Show alert!</MDBBtn>
                  <MDBAlert open={isOpen} className='mt-3 w-100' color='primary'>
                    Hidden alert!
                  </MDBAlert>
                </MDBContainer>
              );
            }
          
        
    

Hide

You can also manually hide alert using the open prop.

        
            
            import React, { useState } from 'react';
            import { MDBAlert, MDBContainer, MDBBtn } from 'mdb-react-ui-kit';

            export default function App() {
              const [isOpen, setIsOpen] = useState(true);

              return (
                <MDBContainer className='text-center'>
                  <MDBBtn onClick={() => setIsOpen(false)}>Show alert!</MDBBtn>
                  <MDBAlert open={isOpen} className='mt-3 w-100' color='primary'>
                    Hide me!
                  </MDBAlert>
                </MDBContainer>
              );
            }
          
        
    

Placement

You can set the position of every alert using the position property.

Select horizontal / vertical alignment

Current position: top-right
        
            
            import React, { useState } from 'react';
            import { MDBAlert, MDBContainer, MDBBtn } from 'mdb-react-ui-kit';

            export default function App() {
              const [placementExample, setPlacementExample] = useState(false);
              const [position, setPosition] = useState('top-right');

              return (
                <MDBContainer className='text-center'>
                  <MDBBtn onClick={() => setPlacementExample(true)}>Show!</MDBBtn>
                  <MDBAlert open={placementExample} color='primary' autohide position={position} delay={2000} appendToBody>
                    Show me wherever you want!
                  </MDBAlert>
                </MDBContainer>
              );
            }
          
        
    

Container

You can display an alert anywhere. Just put it in your target element and fill the containerRef property with reference to the parent.

        
            
            import React, { useState, useRef } from 'react';
            import { MDBAlert, MDBBtn } from 'mdb-react-ui-kit';

            export default function App() {
              const [isOpen, setIsOpen] = useState(false);
              const wrapperRef = useRef(null);

              return (
                <div className='container text-center w-50 mx-auto border' ref={wrapperRef}>
                  <MDBBtn className='mb-5' onClick={() => setIsOpen(true)}>
                    Show alert below!
                  </MDBBtn>
    
                  <MDBAlert
                    color='primary'
                    autohide
                    position='top-right'
                    delay={3000}
                    open={isOpen}
                    containerRef={wrapperRef}
                  >
                    Alert in the container
                  </MDBAlert>
                </div>
              );
            }
          
        
    

Offset

You can set offset or any other styling using the style property.

        
            
            import React, { useState } from 'react';
            import { MDBAlert, MDBBtn } from 'mdb-react-ui-kit';

            export default function App() {
              const [isOpen, setIsOpen] = useState(false);

              return (
                <>
                  <MDBBtn className='mb-5' onClick={() => setIsOpen(!isOpen)}>
                    Show alert with offset!
                  </MDBBtn>

                  <MDBAlert
                    color='primary'
                    autohide
                    position='top-right'
                    delay={3000}
                    open={isOpen}
                    onClose={() => setIsOpen(false)}
                    style={{
                      top: '100px',
                      right: '100px',
                    }}
                  >
                    Offset: 100px
                  </MDBAlert>
                </>
              );
            }
          
        
    

Stacking

You can create stacking notifications using MDBStack component.

        
            
            import React, { useState } from 'react';
            import { MDBAlert, MDBBtn, MDBStack } from 'mdb-react-ui-kit';

            const colors = ['primary', 'warning', 'info', 'success', 'secondary', 'danger', 'light'];

            export default function App() {
              const [stackAlerts, setStackAlerts] = useState([]);
              const [counter, setCounter] = useState(1);

              return (
                <>
                  <MDBStack position={'bottom-right'}>
                    {stackAlerts.map((alert) => {
                      const color = colors[alert.id % colors.length];
                      return (
                        <MDBAlert defaultOpen autohide delay={3000} key={alert.id} color={color} dismissBtn width={450}>
                          {alert.text}
                        </MDBAlert>
                      );
                    })}
                  </MDBStack>
                  <MDBBtn
                    onClick={() => {
                      setStackAlerts([
                        ...stackAlerts,
                        {
                          text: (
                            <>
                              <b>{counter}.</b> Stacking alert.
                            </>
                          ),
                          id: counter,
                        },
                      ]);
                      setCounter((prev) => prev + 1);
                    }}
                  >
                    Add alert
                  </MDBBtn>
                </>
              );
            }
          
        
    

Stacking - Container

You can also stack alerts inside the container

        
            
            import React, { useState } from 'react';
            import { MDBAlert, MDBBtn, MDBStack } from 'mdb-react-ui-kit';
            
            const colors = ['primary', 'warning', 'info', 'success', 'secondary', 'danger', 'light'];

            export default function App() {
              const [stackAlerts, setStackAlerts] = useState([]);
              const [counter, setCounter] = useState(1);

              return (
                <>
                  <div
                    className='container text-center parent-alert-relative position-relative'
                    id='parent-stacking-container-example'
                    style={{
                      height: '300px',
                      overflow: 'auto',
                    }}
                  >
                  <MDBStack className="position-absolute">
                    {stackAlerts.map((alert) => {
                      const color = colors[alert.id % colors.length];
                      return (
                        <MDBAlert defaultOpen autohide delay={3000} key={alert.id} color={color} dismissBtn width={450}>
                          {alert.text}
                        </MDBAlert>
                      );
                    })}
                  </MDBStack>
                  <MDBBtn
                    onClick={() => {
                      setStackAlerts([
                        ...stackAlerts,
                        {
                          text: (
                            <>
                              <b>{counter}.</b> Stacking alert.
                            </>
                          ),
                          id: counter,
                        },
                      ]);
                      setCounter((prev) => prev + 1);
                    }}
                  >
                    Add alert
                  </MDBBtn>
                  </div>
                </>
              );
            }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Alerts - API


Import

        
            
        import { MDBAlert } from 'mdb-react-ui-kit';
      
        
    

Properties

MDBAlert

Name Type Default Description Example
alertRef Reference '' Reference to the alert element <MDBAlert alertRef={alertReference} />
appendToBody Boolean false Appends element to the end of the body <MDBAlert appendToBody />
autohide Boolean false Alerts will hide automatically or not <MDBAlert autohide />
color String '' Allows to set the color of an alert - primary | secondary | secondary | danger | warning | info | light | dark <MDBAlert color='secondary' />
containerRef React.MutableRefObject null Defines a reference to the parent element <MDBAlert containerRef={containerReference} />
delay Number 1000 Sets the length of animation delay (in ms) <MDBAlert delay={2000} />
position 'top-left' | 'top-center' | 'top-right' | 'bottom-left' | 'bottom-center' | 'bottom-right' '' Sets an alert position <MDBAlert position='top-right' />
open Boolean undefined Defines alert's open state. Usually used with onClose event handler. <MDBAlert open />
defaultOpen Boolean false Defines alert's default open state. No onClose handler is needed to close the alert. <MDBAlert defaultOpen />
width Number | String '' Sets width of alert (in pixels) <MDBAlert width={300} />
initialAnimation boolean false Defines if component should animate on initial render <MDBAlert initialAnimation />
animationVariants { open?: Record<string, any>; closed?: Record<string, any>; }; {open: { opacity: 1 }, closed: { opacity: 0 }} Defines animation variants <MDBAlert animationVariants={ {open: { opacity: 1 }, closed: { opacity: 0 }} } />

Events

Name Type Description
onOpen () => void Fired when the Alert starts to open.
onOpened () => void Fired after opening transition has completed.
onClose () => void Fires immediately when the Alert demands to be closed.
onClosed () => void Fired after closing transition has completed.

CSS variables

As part of MDB’s evolving CSS variables approach, alerts now uses local CSS variables on .alert for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          // .alert
          --#{$prefix}alert-bg: transparent;
          --#{$prefix}alert-padding-x: #{$alert-padding-x};
          --#{$prefix}alert-padding-y: #{$alert-padding-y};
          --#{$prefix}alert-margin-bottom: #{$alert-margin-bottom};
          --#{$prefix}alert-color: inherit;
          --#{$prefix}alert-border-color: transparent;
          --#{$prefix}alert-border: #{$alert-border-width} solid var(--#{$prefix}alert-border-color);
          --#{$prefix}alert-border-radius: #{$alert-border-radius};

          // .alert-fixed
          --#{$prefix}alert-fixed-z-index: #{$zindex-alert};
        
        
    

SCSS variables

        
            
        $alert-zindex: 1070;
        
        $alert-padding-y: 1.25rem;
        $alert-padding-x: 1.5rem;
        $alert-margin-bottom: 1rem;
        $alert-border-radius: $border-radius-lg;
        $alert-link-font-weight: $font-weight-bold;
        $alert-border-width: $border-width;
        $alert-bg-scale: -80%;
        $alert-border-scale: -70%;
        $alert-color-scale: 40%;
        $alert-dismissible-padding-r: $alert-padding-x * 3;

Alerts

Vue Bootstrap 5 Alerts component

Responsive Alerts built with the latest Bootstrap 5 and Vue 3. Alerts provide contextual feedback messages for typical user actions with a handful of responsible and flexible alert boxes.

Provide contextual feedback messages for typical user actions with the handful of available and flexible alert messages.

Note: Read the API tab to find all available options and advanced customization


Basic examples

Click the buttons to launch the alerts.

        
            
            <template>
              <!-- Trigger buttons -->
              <MDBBtn color="primary" @click="alert1 = true"> Primary </MDBBtn>
              <MDBBtn color="secondary" @click="alert2 = true"> Secondary </MDBBtn>
              <MDBBtn color="success" @click="alert3 = true"> Success </MDBBtn>
              <MDBBtn color="danger" @click="alert4 = true"> Danger </MDBBtn>
              <MDBBtn color="warning" @click="alert5 = true"> Warning </MDBBtn>
              <MDBBtn color="info" @click="alert6 = true"> Info </MDBBtn>
              <MDBBtn color="light" @click="alert7 = true"> Light </MDBBtn>
              <MDBBtn color="dark" @click="alert8 = true"> Dark </MDBBtn>
              <!-- Alerts -->
              <MDBAlert
                v-model="alert1"
                id="alert-primary"
                color="primary"
                position="top-right"
                stacking
                width="535px"
                appendToBody
                autohide
                :delay="5000"
              >
                A simple primary alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
              </MDBAlert>
              <MDBAlert
                v-model="alert2"
                color="secondary"
                position="top-right"
                stacking
                width="535px"
                appendToBody
                autohide
                :delay="5000"
              >
                A simple secondary alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
              </MDBAlert>
              <MDBAlert
                v-model="alert3"
                color="success"
                position="top-right"
                stacking
                width="535px"
                appendToBody
                autohide
                :delay="5000"
              >
                A simple success alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
              </MDBAlert>
              <MDBAlert
                v-model="alert4"
                color="danger"
                position="top-right"
                stacking
                width="535px"
                appendToBody
                autohide
                :delay="5000"
              >
                A simple danger alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
              </MDBAlert>
              <MDBAlert
                v-model="alert5"
                color="warning"
                position="top-right"
                stacking
                width="535px"
                appendToBody
                autohide
                :delay="2000"
              >
                A simple warning alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
              </MDBAlert>
              <MDBAlert
                v-model="alert6"
                color="info"
                position="top-right"
                stacking
                width="535px"
                appendToBody
                autohide
                :delay="2000"
              >
                A simple info alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
              </MDBAlert>
              <MDBAlert
                v-model="alert7"
                color="light"
                position="top-right"
                stacking
                width="535px"
                appendToBody
                autohide
                :delay="2000"
              >
                A simple light alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
              </MDBAlert>
              <MDBAlert
                v-model="alert8"
                color="dark"
                position="top-right"
                stacking
                width="535px"
                appendToBody
                autohide
                :delay="2000"
              >
                A simple dark alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
              </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from "vue";
              export default {
                components: {
                  MDBAlert,
                  MDBBtn
                },
                setup() {
                  const alert1 = ref(false);
                  const alert2 = ref(false);
                  const alert3 = ref(false);
                  const alert4 = ref(false);
                  const alert5 = ref(false);
                  const alert6 = ref(false);
                  const alert7 = ref(false);
                  const alert8 = ref(false);
                  return {
                    alert1,
                    alert2,
                    alert3,
                    alert4,
                    alert5,
                    alert6,
                    alert7,
                    alert8
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const alert1 = ref(false);
              const alert2 = ref(false);
              const alert3 = ref(false);
              const alert4 = ref(false);
              const alert5 = ref(false);
              const alert6 = ref(false);
              const alert7 = ref(false);
              const alert8 = ref(false);
            </script>
          
        
    

Static examples

        
            
            <template>
              <MDBAlert color="primary" static> A simple primary alert—check it out! </MDBAlert>
              <MDBAlert color="secondary" static> A simple secondary alert—check it out! </MDBAlert>
              <MDBAlert color="success" static> A simple success alert—check it out! </MDBAlert>
              <MDBAlert color="danger" static> A simple danger alert—check it out! </MDBAlert>
              <MDBAlert color="warning" static> A simple warning alert—check it out! </MDBAlert>
              <MDBAlert color="info" static> A simple info alert—check it out! </MDBAlert>
              <MDBAlert color="light" static> A simple light alert—check it out! </MDBAlert>
              <MDBAlert color="dark" static> A simple dark alert—check it out! </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert } from 'mdb-vue-ui-kit';
              export default {
                components: {
                  MDBAlert,
                },
                setup() {},
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert } from 'mdb-vue-ui-kit';
            </script>
          
        
    


Icons

Use Font Awesome Icons to create alerts with icons. Depending on your icons and content, you may want to add more utilities or custom styles.

        
            
            <template>
              <MDBAlert color="primary" static>
                <i class="fas fa-info-circle me-3"></i>A simple primary alert—check it out!
              </MDBAlert>
              <MDBAlert color="secondary" static>
                <i class="fas fa-circle me-3"></i>A simple secondary alert—check it out!
              </MDBAlert>
              <MDBAlert color="success" static>
                <i class="fas fa-check-circle me-3"></i>A simple success alert—check it out!
              </MDBAlert>
              <MDBAlert color="danger" static>
                <i class="fas fa-times-circle me-3"></i>A simple danger alert—check it out!
              </MDBAlert>
              <MDBAlert color="warning" static>
                <i class="fas fa-exclamation-triangle me-3"></i>A simple warning alert—check it out!
              </MDBAlert>
              <MDBAlert color="info" static>
                <i class="fas fa-exclamation-triangle me-3"></i>A simple warning alert—check it out!
              </MDBAlert>
              <MDBAlert color="light" static>
                <i class="fab fa-gratipay me-3"></i>A simple light alert—check it out!
              </MDBAlert>
              <MDBAlert color="dark" static>
                <i class="fas fa-gem me-3"></i>A simple dark alert—check it out!
              </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert } from 'mdb-vue-ui-kit';
              
              export default {
                components: {
                  MDBAlert,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Additional Content

        
            
            <template>
              <MDBAlert color="success" static>
                <h4 class="alert-heading">Well done!</h4>
                <p>
                  Aww yeah, you successfully read this important alert message. This example text is
                  going to run a bit longer so that you can see how spacing within an alert works with
                  this kind of content.
                </p>
                <hr />
                <p class="mb-0">
                  Whenever you need to, be sure to use margin utilities to keep things nice and tidy.
                </p>
              </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert } from 'mdb-vue-ui-kit';
              export default {
                components: {
                  MDBAlert,
                },
                setup() {},
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Dismissing

Using the Vue alert component, it’s possible to dismiss any alert inline. Here’s how:

  • Add a dismiss property, which adds close button and extra padding to the right of the alert which positions the close button.
  • Click on the close button to dismiss the alert.

You can see this in action with a live demo:

        
            
            <template>
              <MDBAlert dismiss :autohide="false" color="warning" static v-model="alert9">
                <strong>Holy guacamole!</strong> You should check in on some of those fields below.
              </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBAlert,
                },
                setup() {
                  const alert9 = ref(true);
                  return {
                    alert9,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
                  
              const alert9 = ref(true);
            </script>
          
        
    

Show

You can manually show alert using show() method on the alert component ref.

        
            
            <template>
              <MDBBtn color="primary" @click="hiddenAlertRef?.show()"> Show alert! </MDBBtn>
              <MDBAlert
                class="mt-3 text-center"
                color="primary"
                static
                hidden
                v-model="alert10"
                ref="hiddenAlertRef"
              >
                Hidden alert!
              </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBAlert,
                  MDBBtn,
                },
                setup() {
                  const hiddenAlertRef = ref(null);
                  const alert10 = ref(false);

                  return {
                    hiddenAlertRef,
                    alert10,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const hiddenAlertRef = ref<InstanceType<typeof MDBAlert> | null>(null);
              const alert10 = ref(false);
            </script>
          
        
    

Hide

You can manually hide alert using hide() method on alert component ref.

        
            
            <template>
              <MDBBtn color="primary" @click="showAlertRef?.hide()"> Hide me! </MDBBtn>
              <MDBAlert
                class="text-center mt-3"
                color="primary"
                v-model="alert11"
                static
                :autohide="false"
                ref="showAlertRef"
              >
                Hide me!
              </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBAlert,
                  MDBBtn,
                },
                setup() {
                  const showAlertRef = ref(null);
                  const alert11 = ref(true);
                  
                  return {
                    showAlertRef,
                    alert11,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const showAlertRef = ref<InstanceType<typeof MDBAlert> | null>(null);
              const alert11 = ref(true);
            </script>
          
        
    

Placement

You can set the position of every alert using the position property.

Select horizontal / vertical alignment

Current position: top-right
        
            
            <template>
              <div class="text-center">
                <p class="fw-bold">Select horizontal / vertical alignment</p>
              </div>
              <div class="my-4 text-center">
                <MDBBtn color="primary" @click="setVertical('top')">Top</MDBBtn>
                <MDBBtn color="primary" class="ms-2" @click="setVertical('bottom')"> Bottom </MDBBtn>
              </div>
              <div class="my-4 text-center">
                <MDBBtn color="primary" @click="setHorizontal('left')">Left</MDBBtn>
                <MDBBtn color="primary" class="mx-2" @click="setHorizontal('center')">
                  Center
                </MDBBtn>
                <MDBBtn color="primary" @click="setHorizontal('right')"> Right </MDBBtn>
              </div>
              <div class="mb-4 text-center">
                <h5>
                  Current position:
                  <span id="positionDisplay">{{ alert12position }}</span>
                </h5>
              </div>
              <MDBBtn color="primary" @click="alert12 = true"> Show! </MDBBtn>
              <MDBAlert
                v-model="alert12"
                width="250px"
                :position="alert12position"
                autohide
                appendToBody
                color="primary"
              >
                Show me wherever you want!
              </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref, computed } from 'vue';
              export default {
                components: {
                  MDBAlert,
                  MDBBtn,
                },
                setup() {
                  const alert12 = ref(false);
                  const vertical = ref('top');
                  const horizontal = ref('right');
                  const alert12position = computed(() => {
                    return `${vertical.value}-${horizontal.value}`;
                  });
                  const setHorizontal = (value) => {
                    horizontal.value = value;
                  };
                  const setVertical = (value) => {
                    vertical.value = value;
                  };
                  return {
                    alert12,
                    alert12position,
                    setHorizontal,
                    setVertical,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref, computed } from 'vue';

              const alert12 = ref(false);
              const vertical = ref('top');
              const horizontal = ref('right');
              const alert12position = computed(() => {
                return `${vertical.value}-${horizontal.value}`;
              });
              const setHorizontal = (value: string) => {
                horizontal.value = value;
              };
              const setVertical = (value: string) => {
                vertical.value = value;
              };
            </script>
          
        
    

Container

You can display an alert anywhere. Just put it in your target element and fill the data-mdb-container attribute with id or class of parent.

        
            
            <template>
              <MDBContainer class="text-center" id="parent-container-example">
                <MDBBtn color="primary" class="mb-5" @click="alert13 = true">
                  Show alert below!
                </MDBBtn>
                <MDBAlert
                  v-model="alert13"
                  autohide
                  :delay="5000"
                  position="top-right"
                  stacking
                  container="#parent-container-example"
                  color="primary"
                >
                  Hello from parent element!
                </MDBAlert>
              </MDBContainer>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert, MDBBtn, MDBContainer } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBAlert,
                  MDBBtn,
                  MDBContainer,
                },
                setup() {
                  const alert13 = ref(false);
                  return {
                    alert13,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert, MDBBtn, MDBContainer } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              
              const alert13 = ref(false);
            </script>
          
        
    

Offset

You can set offset of your alert using a offset> property.

        
            
            <template>
              <MDBBtn color="primary" @click="alert14 = true"> Show alert with offset! </MDBBtn>
              <MDBAlert
                v-model="alert14"
                offset="100"
                autohide
                :delay="5000"
                position="top-right"
                width="250px"
                appendToBody
                color="primary"
              >
                Offset: 100px
              </MDBAlert>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBAlert,
                  MDBBtn,
                },
                setup() {
                  const alert14 = ref(false);
                  return {
                    alert14,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
                  const alert14 = ref(false);
            </script>
          
        
    

Stacking

You can turn on stacking your alerts using the stacking property.

        
            
            <template>
              <MDBContainer class="text-center">
                <MDBBtn color="primary" @click="addStacking">
                  Show notification
                </MDBBtn>
                <MDBAlert
                  v-model="stacking[1]"
                  color="primary"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  1. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[2]"
                  color="warning"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  2. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[3]"
                  color="info"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  3. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[4]"
                  color="success"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  4. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[5]"
                  color="secondary"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  5. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[6]"
                  color="danger"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  6. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[7]"
                  color="light"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  7. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[8]"
                  color="dark"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  8. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[9]"
                  color="primary"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  9. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stacking[10]"
                  color="warning"
                  position="bottom-right"
                  stacking
                  width="450px"
                  appendToBody
                  autohide
                  :delay="5000"
                >
                  10. Stacking alert
                </MDBAlert>
              </MDBContainer>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert, MDBBtn, MDBContainer } from "mdb-vue-ui-kit";
              import { ref, reactive } from 'vue';
              export default {
                components: {
                  MDBAlert,
                  MDBBtn,
                  MDBContainer
                },
                setup() {
                  const stacking = reactive({
                    1: false,
                    2: false,
                    3: false,
                    4: false,
                    5: false,
                    6: false,
                    7: false,
                    8: false,
                    9: false,
                    10: false
                  });
                  const currentStacking = ref(1);
                  const addStacking = () => {
                    stacking[currentStacking.value] = true;
                    currentStacking.value++;
                    if (currentStacking.value > 10) {
                      currentStacking.value = 1;
                    }
                  };
                  return {
                    stacking,
                    addStacking
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert, MDBBtn, MDBContainer } from "mdb-vue-ui-kit";
              import { ref, reactive } from 'vue';

              interface StackingContainer {
                [props: number]: boolean;
              }

              const stacking = reactive<StackingContainer>({
                1: false,
                2: false,
                3: false,
                4: false,
                5: false,
                6: false,
                7: false,
                8: false,
                9: false,
                10: false
              });
              const currentStacking = ref(1);
              const addStacking = () => {
                stacking[currentStacking.value] = true;
                currentStacking.value++;
                if (currentStacking.value > 10) {
                  currentStacking.value = 1;
                }
              };
            </script>
          
        
    

Stacking - Container

You can also stack alerts inside the container

        
            
            <template>
              <MDBContainer
              class="text-center"
              id="parent-stacking-container-example"
              >
                <MDBBtn color="primary" class="mb-5" @click="addStackingContainer">
                  Show notification
                </MDBBtn>
                <MDBAlert
                  v-model="stackingContainer[1]"
                  color="primary"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  1. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[2]"
                  color="warning"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  2. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[3]"
                  color="info"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  3. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[4]"
                  color="success"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  4. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[5]"
                  color="secondary"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  5. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[6]"
                  color="danger"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  6. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[7]"
                  color="light"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  7. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[8]"
                  color="dark"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  8. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[9]"
                  color="primary"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  9. Stacking alert
                </MDBAlert>
                <MDBAlert
                  v-model="stackingContainer[10]"
                  color="warning"
                  position="top-right"
                  stacking
                  container="#parent-stacking-container-example"
                  width="250px"
                  :appendToBody="false"
                  autohide
                  :delay="5000"
                >
                  10. Stacking alert
                </MDBAlert>
              </MDBContainer>
            </template>
          
        
    
        
            
            <script>
              import { MDBAlert, MDBContainer, MDBBtn } from "mdb-vue-ui-kit";
              import { ref, reactive } from 'vue';
              export default {
                components: {
                  MDBAlert,
                  MDBContainer,
                  MDBBtn
                },
                setup() {
                  const stackingContainer = reactive({
                    1: false,
                    2: false,
                    3: false,
                    4: false,
                    5: false,
                    6: false,
                    7: false,
                    8: false,
                    9: false,
                    10: false
                  });
                  const currentStackingContainer = ref(1);
                  const addStackingContainer = () => {
                    stackingContainer[currentStackingContainer.value] = true;
                    currentStackingContainer.value++;
                    if (currentStackingContainer.value > 10) {
                      currentStackingContainer.value = 1;
                    }
                  };
                  return {
                    stackingContainer,
                    addStackingContainer
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBAlert, MDBContainer, MDBBtn } from "mdb-vue-ui-kit";
              import { ref, reactive } from 'vue';

              interface StackingContainer {
                [props: number]: boolean;
              }

              const stackingContainer = reactive<StackingContainer>({
                1: false,
                2: false,
                3: false,
                4: false,
                5: false,
                6: false,
                7: false,
                8: false,
                9: false,
                10: false
              });
              const currentStackingContainer = ref(1);
              const addStackingContainer = () => {
                stackingContainer[currentStackingContainer.value] = true;
                currentStackingContainer.value++;
                if (currentStackingContainer.value > 10) {
                  currentStackingContainer.value = 1;
                }
              };
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Alerts - API


Import

        
            
          <script>
            import {
              MDBAlert
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Name Type Default Description
tag String 'div' Defines tag of the MDBAlert element
position String 'top-right' Sets a position for the alert. Any combination of 'vertical-horizontal' position: 'top|bottom-left|center|right'
delay Number 5000 Sets the length of animation delay
autohide Boolean true Alerts will hide automatically or not
width String 'unset' Sets width of alert
stacking Boolean true Enables stacking alerts
offset String '10 Changes alert offset
container String '' Defines container selector
appendToBody Boolean false Appends element to the end of the body
color String null Allows to set the color of an alert - primary | secondary | secondary | danger | warning | info | light | dark
dismiss Boolean false Makes alert dismissible with close button
animation Boolean true Allows to turn on or off the showing and hiding alert animation
heightAnimation Boolean false Animates alert height change
static Boolean false Makes alert static (open by default)
hidden Boolean false Makes static alert hidden
id String 'MDBAlert-generated id' Allows to add custom id to alert element
v-model String '' Returns current picked time

Methods

Name Description Example
show Manually shows an alert alertRef.value.show()
hide Manually hides an alert alertRef.value.hide()
        
            
              <template>
                <MDBBtn @click.stop="hiddenAlertRef?.show()" color="primary">
                  Show
                </MDBBtn>
                <MDBAlert
                  class="mt-3 text-center"
                  color="primary"
                  static
                  hidden
                  v-model="alert10"
                  ref="hiddenAlertRef"
                >
                  Hidden alert!
                </MDBAlert>
              </template>
            
        
    
        
            
              <script>
                import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
                
                export default {
                  components: {
                    MDBAlert,
                    MDBBtn,
                  },
                  setup() {
                    const hiddenAlertRef = ref();
                    const alert10 = ref(false);

                    return {
                      hiddenAlertRef,
                      alert10,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBAlert, MDBBtn } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
              
                const hiddenAlertRef = ref<InstanceType<typeof MDBAlert> | null>(null);
                const alert10 = ref(false);
              </script>
            
        
    

Events

Name Description
show This event fires immediately when the show method is called or `v-model` is set to true
shown This event fires immediately when the Alert is shown
hide This event fires immediately when the hide method is called or `v-model` is set to false
hidden This event fires immediately when the Alert is hidden
        
            
              <template>
               <MDBTimepicker v-model="picker1" @close="doSomething" />
              </template>
            
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, alerts now uses local CSS variables on .alert for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          // .alert
          --#{$prefix}alert-bg: transparent;
          --#{$prefix}alert-padding-x: #{$alert-padding-x};
          --#{$prefix}alert-padding-y: #{$alert-padding-y};
          --#{$prefix}alert-margin-bottom: #{$alert-margin-bottom};
          --#{$prefix}alert-color: inherit;
          --#{$prefix}alert-border-color: transparent;
          --#{$prefix}alert-border: #{$alert-border-width} solid var(--#{$prefix}alert-border-color);
          --#{$prefix}alert-border-radius: #{$alert-border-radius};
          --#{$prefix}alert-link-color: inherit;

          // .alert-fixed
          --#{$prefix}alert-fixed-z-index: #{$zindex-alert};
        
        
    

SCSS variables

        
            
        $alert-zindex: 1070;
        
        $alert-padding-y: 1.25rem;
        $alert-padding-x: 1.5rem;
        $alert-margin-bottom: 1rem;
        $alert-border-radius: $border-radius-lg;
        $alert-link-font-weight: $font-weight-bold;
        $alert-border-width: var(--#{$prefix}border-width);
        $alert-dismissible-padding-r: $alert-padding-x * 3;

        $alert-bg-scale: -80%;
        $alert-border-scale: -70%;
        $alert-color-scale: 40%;

Alerts

Angular Bootstrap 5 Alerts component

Responsive Alerts built with Bootstrap 5, Angular and Material Design. Examples of alerts popup such as warning, error or confirmation messages boxes.

Provide contextual feedback messages for typical user actions with a handful of available and flexible alert messages.

Note: Read the API tab to find all available options and advanced customization


Basic examples

Click the buttons to launch the alerts.

You can create alert dynamically from any component using a built-in service. To achieve this, follow these steps:

1. Create a new component with Angular CLI and add some HTML code to the template.

ng generate component alert

        
            
                <div class="alert alert-primary" role="alert">
                  A simple primary alert with
                  <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
                </div>
              
        
    
        
            
                import { Component } from '@angular/core';
                import { MdbNotificationRef } from 'mdb-angular-ui-kit/notification';

                @Component({
                  selector: 'app-alert',
                  templateUrl: './alert.component.html',
                })
                export class AlertComponent {
                  constructor(public notificationRef: MdbNotificationRef<AlertComponent>) {}
                }
              
        
    

2. Inject MdbNotificationService to the component from which you want to open the alert and use the open method.

        
            
                <button class="btn btn-primary" (click)="openAlert()">Open</button>
              
        
    
        
            
                import { Component } from '@angular/core';
                import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
                import { AlertComponent } from 'your-path-to-alert-component';

                @Component({
                  selector: 'app-root',
                  templateUrl: './app.component.html',
                  styleUrls: ['./app.component.scss'],
                })
                export class AppComponent {
                  notificationRef: MdbNotificationRef<AlertComponent> | null = null;

                  constructor(private notificationService: MdbNotificationService) {}

                  openAlert() {
                    this.notificationRef = this.notificationService.open(AlertComponent);
                  }
                }
              
        
    

Inject and receive data

You can inject data to the alert by passing it to the data parameter in the alert options.

        
            
              <button class="btn btn-primary" (click)="openAlert()">Open alert</button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
              import { AlertComponent } from 'your-path-to-alert-component';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                notificationRef: MdbNotificationRef<AlertComponent> | null = null;

                constructor(private notificationService: MdbNotificationService) {}

                openAlert() {
                  this.notificationRef = this.notificationService.open(AlertComponent, { data: { text: 'Alert text'} });
                }
              }
              
        
    

Here is an example showing how to use injected data in the alert component:

        
            
              <div class="alert alert-primary" role="alert">
                {{ text }}
              </div>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbNotificationRef } from 'mdb-angular-ui-kit/notification';

              @Component({
                selector: 'app-alert',
                templateUrl: './alert.component.html',
              })
              export class AlertComponent {
                text: string | null = null;

                constructor(public notificationRef: MdbNotificationRef<AlertComponent>) {}
              }
            
        
    

Receive data from the alert

You can receive data from the alert to use it in other components:

        
            
              <div class="alert alert-primary" role="alert">
                A simple primary alert with
                <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
                <button
                  type="button"
                  class="btn-close"
                  aria-label="Close"
                  (click)="close()"
                ></button>
              </div>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbNotificationRef } from 'mdb-angular-ui-kit/notification';

              @Component({
                selector: 'app-alert',
                templateUrl: './alert.component.html',
              })
              export class AlertComponent {
                constructor(public notificationRef: MdbNotificationRef<AlertComponent>) {}

                close(): void {
                  const closeMessage = 'Alert closed';
                  this.notificationRef.close(closeMessage)
                }
              }
            
        
    

Here is an example showing how to use data received from alert in other components

        
            
              <button class="btn btn-primary" (click)="openAlert()">Open</button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
              import { AlertComponent } from 'your-path-to-alert-component';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                notificationRef: MdbNotificationRef<AlertComponent> | null = null;

                constructor(private notificationService: MdbNotificationService) {}

                openAlert() {
                  this.notificationRef = this.notificationService.open(AlertComponent);
                  this.notificationRef.onClose.subscribe((message: any) => {
                    console.log(message);
                  });
                }
              }
            
        
    

Static examples

Use .alert class, followed by one of the contextual classes .alert-success, .alert-info, .alert-warning, .alert-danger, .alert-primary, .alert-secondary, .alert-light or .alert-dark to create an alert.

        
            
              <div class="alert alert-primary" role="alert">A simple primary alert - check it out!</div>
              <div class="alert alert-secondary" role="alert">
                A simple secondary alert - check it out!
              </div>
              <div class="alert alert-success" role="alert">A simple success alert - check it out!</div>
              <div class="alert alert-danger" role="alert">A simple danger alert - check it out!</div>
              <div class="alert alert-warning" role="alert">A simple warning alert - check it out!</div>
              <div class="alert alert-info" role="alert">A simple info alert - check it out!</div>
              <div class="alert alert-light" role="alert">A simple light alert - check it out!</div>
              <div class="alert alert-dark" role="alert">A simple dark alert - check it out!</div>
            
        
    


Additional Content

Alerts can contain additional elements like headings, paragraphs and dividers.

        
            
              <div class="alert alert-success" role="alert">
                <h4 class="alert-heading">Well done!</h4>
                <p>
                  Aww yeah, you successfully read this important alert message. This example text is
                  going to run a bit longer so that you can see how spacing within an alert works with
                  this kind of content.
                </p>
                <hr />
                <p class="mb-0">
                  Whenever you need to, be sure to use margin utilities to keep things nice and tidy.
                </p>
              </div>
            
        
    

Dismissing

It’s possible to dismiss any alert inline.

        
            
              <div class="container">
                <div class="alert alert-warrning alert-dismissible fade show" role="alert">
                  <strong>Holy guacamole!</strong> You should check in on some of those fields below.
                  <button (click)="notificationRef.close()" type="button" class="btn-close" aria-label="Close"></button>
                </div>
              </div>
            
        
    

Placement

You can set the position of every alert using the position option.

Select horizontal / vertical alignment

Current position: top-right
        
            
              <button class="btn btn-primary" (click)="openAlert()">Open</button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
              import { AlertComponent } from 'your-path-to-alert-component';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                notificationRef: MdbNotificationRef<AlertComponent> | null = null;

                constructor(private notificationService: MdbNotificationService) {}

                openAlert() {
                  this.notificationRef = this.notificationService.open(AlertComponent, {
                    position: 'top-right'
                  });
                }
              }
            
        
    

Offset

You can set offset of your alert using a offset option.

        
            
              <button class="btn btn-primary" (click)="openAlert()">Open</button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
              import { AlertComponent } from 'your-path-to-alert-component';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                notificationRef: MdbNotificationRef<AlertComponent> | null = null;

                constructor(private notificationService: MdbNotificationService) {}

                openAlert() {
                  this.notificationRef = this.notificationService.open(AlertComponent, {
                    offset: '100'
                  });
                }
              }
            
        
    

Stacking

You can turn on stacking your alerts using the stacking oprion.

        
            
              <button class="btn btn-primary" (click)="openAlert()">Open</button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
              import { AlertComponent } from 'your-path-to-alert-component';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                notificationRef: MdbNotificationRef<AlertComponent> | null = null;

                constructor(private notificationService: MdbNotificationService) {}

                openAlert() {
                  this.notificationRef = this.notificationService.open(AlertComponent, {
                    stacking: true
                  });
                }
              }
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Alerts - API


Import

        
            
            import { MdbNotificationModule } from 'mdb-angular-ui-kit/notification';
            …
            @NgModule ({
              ...
              imports: [MdbNotificationModule],
              ...
            })
        
        
    

Options

Name Type Default Description
position string 'top-right' Sets a position for the alert - top-left | top-right | bottom-left | bottom-right
delay number 5000 Sets the length of animation delay
autohide boolean false Alerts will hide automatically or not
width string 'unset' Sets width of alert
offset number 10 Defines offset of the element
stacking boolean false Enables stacking alerts
        
            
              <button class="btn btn-primary" (click)="openAlert()">Open alert</button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { AlertComponent } from 'your-path-to-alert-component';
              import { MdbNotificationRef, MdbNotificationService } from 'mdb-angular-ui-kit/notification';

              @Component({
                  selector: 'create-dynamic-alert',
                  templateUrl: './create-dynamic-alert.component.html',
              })
              export class AppComponent {
                notificationRef: MdbNotificationRef<AlertComponent> | null = null;

                config = {
                  position: 'top-left',
                  width: 100,
                  delay: 1000,
                  autohide: true,
                  stacking: true,
                  offset: 100,
                  animation: false,
                  data: {
                    text: 'example text'
                  },
                }

                constructor(private notificationService: MdbNotificationService) {}

                openAlert() {
                  this.notificationRef = this.notificationService.open(AlertComponent, this.config);
                }
              }
            
        
    

Methods

MdbNotificationService

Name Description
open Opens alert
        
            
            <button class="btn btn-primary" (click)="openAlert()">Open alert</button>
        
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
            import { AlertComponent } from 'your-path-to-alert-component';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              notificationRef: MdbNotificationRef<AlertComponent> | null = null;

              constructor(private notificationService: MdbNotificationService) {}

              openAlert() {
                this.notificationRef = this.notificationService.open(AlertComponent);
              }
            }
          
        
    

MdbNotificationRef

Method Description
onClose: Observable<any> Returns observable on alert close.
        
            
            <button class="btn btn-primary" (click)="openAlert()">Open alert</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { AlertComponent } from 'your-path-to-alert-component';
            import { MdbNotificationRef, MdbNotificationService } from 'mdb-angular-ui-kit/notification';

            @Component({
                selector: 'create-dynamic-alert',
                templateUrl: './create-dynamic-alert.component.html',
            })
            export class AppComponent {
              notificationRef: MdbNotificationRef<AlertComponent> | null = null;

              constructor(private notificationService: MdbNotificationService) {}

              openAlert() {
                this.notificationRef = this.notificationService.open(AlertComponent);
                this.notificationRef.onClose.subscribe((message: any) => {
                  console.log(message);
                });
              }
            }
          
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, alerts now uses local CSS variables on .alert for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          // .alert
          --#{$prefix}alert-bg: transparent;
          --#{$prefix}alert-padding-x: #{$alert-padding-x};
          --#{$prefix}alert-padding-y: #{$alert-padding-y};
          --#{$prefix}alert-margin-bottom: #{$alert-margin-bottom};
          --#{$prefix}alert-color: inherit;
          --#{$prefix}alert-border-color: transparent;
          --#{$prefix}alert-border: #{$alert-border-width} solid var(--#{$prefix}alert-border-color);
          --#{$prefix}alert-border-radius: #{$alert-border-radius};

          // .alert-fixed
          --#{$prefix}alert-fixed-z-index: #{$zindex-alert};
        
        
    

SCSS variables

        
            
        $alert-zindex: 1070;
        
        $alert-padding-y: 1.25rem;
        $alert-padding-x: 1.5rem;
        $alert-margin-bottom: 1rem;
        $alert-border-radius: $border-radius-lg;
        $alert-link-font-weight: $font-weight-bold;
        $alert-border-width: $border-width;
        $alert-bg-scale: -80%;
        $alert-border-scale: -70%;
        $alert-color-scale: 40%;
        $alert-dismissible-padding-r: $alert-padding-x * 3;